During installation: language on panels and between panels is mixed (for example: English and Russian)

Bug #1541195 reported by bugproxy on 2016-02-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Medium
Unassigned
debian-installer (Ubuntu)
High
Colin Watson

Bug Description

== Comment: #0 - Ekaterina Teplova <email address hidden> - 2016-02-02 15:24:32 ==
During installation: languages on panels and between panels are mixed (for example: English and Russian)

Please see attachment

Default Comment by Bridge

tags: added: architecture-s39064 bugnameltc-136452 severity-medium targetmilestone-inin1604
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → installation-locale (Ubuntu)
Dimitri John Ledkov (xnox) wrote :

На сколько я понимаю, у нас не хватает переводов на русский язык. Хотя скорее всего нам надо просто обновить все переводы во всех (или хотя бы в ключевых) компонентах. Я запрошу обновление переводов. Обычно, многие эвропейские и азитские языки полностью переведены.

Changed in installation-locale (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Dimitri John Ledkov (xnox)

------- Comment From <email address hidden> 2016-02-26 08:53 EDT-------
Not really clear what that mean. Did you except the problem?
Or did you get this as result from your test?
Please be more specific.

Many thanks in advance

------- Comment From <email address hidden> 2016-02-29 04:52 EDT-------
Together with Heinz-Werner we found the original text which was not properly decoded:

?? ??????? ? ???????, ? ??? ?? ??????? ????????? ?? ??????? ????. ???? ?????? ????? ??? ???? ?????? ???????? ??? ???????? ?? ???? (??? ???? ?? ? ????????) ???????????. ? ??????? ?????????? ?????????. ??????, ?????? ??????????? ? ???????? ????? ????????? ??????????.

I can translate for other colleagues :)

As far as I understand, some translations to Russian are missing. But more likely we need just to update all translations in all (or at least in all key) components. I will request the translation refresh. Usually, all European and Asian languages are fully translated.

------- Comment (attachment only) From <email address hidden> 2016-04-04 12:11 EDT-------

Dimitri John Ledkov (xnox) wrote :
Dimitri John Ledkov (xnox) wrote :

Things are looking odd. First of all for most of these things translations do exist - e.g. the main menu is fully translated on e.g. amd64 server iso. this is z/vm booted with OVERRIDE_SHOW_ALL_LANGUAGES=1 and debian-installer/language=ru. The expectation is that serial console remains in english, yet everything over ssh is translated. Not sure if the serial x3270 console can display things in non-latin characters.

Dimitri John Ledkov (xnox) wrote :

s390-zfcp actually does not have translations, nor is going to have them any time soon. See https://lists.debian.org/debian-boot/2016/02/msg00259.html . However other things that do have translations should show them imho.

Changed in s390-zfcp (Ubuntu):
status: New → Won't Fix

------- Comment (attachment only) From <email address hidden> 2016-04-04 12:11 EDT-------

Default Comment by Bridge

Dimitri John Ledkov (xnox) wrote :

We should not strip translations from d-i components that are included in the initrd during the d-i build... =)

Changed in choose-mirror (Ubuntu):
status: New → Invalid
no longer affects: choose-mirror (Ubuntu)
no longer affects: installation-locale (Ubuntu)
no longer affects: main-menu (Ubuntu)
no longer affects: net-retriever (Ubuntu)
no longer affects: netcfg (Ubuntu)
no longer affects: s390-netdevice (Ubuntu)
no longer affects: s390-zfcp (Ubuntu)
no longer affects: tasksel (Ubuntu)
Changed in debian-installer (Ubuntu):
status: New → In Progress
importance: Undecided → High
Dimitri John Ledkov (xnox) wrote :

Thank you Colin!

Changed in ubuntu-z-systems:
status: New → In Progress
Colin Watson (cjwatson) on 2016-04-20
Changed in debian-installer (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Dimitri John Ledkov (xnox) wrote :

With 20101020ubuntu451 d-i, and specifying desired locale in the paramfile, e.g. "locale=ru_RU.UTF-8" works correctly and the experience as follows:
1) the serial console is in English, e.g. during the network setup in 3270 console / HMC Operating System Messages up to the "continue installation over ssh"
2) after establishing ssh connection, the network console with options to "start installer, expert, shell" is in english
3) starting the installer, will go into language selection and will be all in desired installation locale, e.g. Russian in this case
4) all steps are translated, as best as we have the translations for.
5) s390-zfcp component is not translated, but everything else is.

Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Changed in debian-installer (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu451

---------------
debian-installer (20101020ubuntu451) xenial; urgency=medium

  * Don't drop non-English language support for s390x (LP: #1541195).

 -- Colin Watson <email address hidden> Wed, 20 Apr 2016 14:41:56 +0100

Changed in debian-installer (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
no longer affects: ubuntu-release-notes

------- Comment From <email address hidden> 2016-05-02 10:55 EDT-------
Overall, it works like Dimitri described, but not for all panels. Two questions (before I close this bug):
1. Why is is required to specify the Language in parmfile? If I don't, I'm being asked to "choose the language to be used for the installation process". If I select one, it is not considered, but the installer continues in english. Is this a separate bug?
2. If I use the installer with locale specified in parmfile, I still can find some not 100% translated panels, e.g.
?????????? [!!] Postavi korisnike i lozinke ???????????
? ?
? Dobra lozinka se treba sastojati od slova, brojaka ?
? i interpunkcija te se treba redovito mijenjati. ?
? ?
? Unesite lozinku za novoga korisnika: ?
? ?
? ___________________________________________________ ?
? ?
? [ ] Show Password in Clear ?
? ?
? <Natrag> <Nastavi> ?

-> "Show Password in Clear" is not translated, must read "Prika?i lozinku jasno". How should we handle these findings? Bugzilla/Launchpad? Or is there a way to contribute that more or less directly in any tool/website?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2016-05-11 07:17 EDT-------
Canonical should be close this bug, and request the answers for updates into another LP? Please let me know.

Changed in ubuntu-z-systems:
status: Fix Released → Won't Fix
importance: Undecided → Low
importance: Low → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers